Namespaces - Authorization Rules - List Authorization Rules
Mendapatkan aturan otorisasi untuk namespace.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ServiceBus/namespaces/{namespaceName}/AuthorizationRules?api-version=2021-11-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
namespace
|
path | True |
|
Nama namespace |
|
resource
|
path | True |
|
Nama grup Sumber Daya dalam langganan Azure. |
|
subscription
|
path | True |
|
Kredensial langganan yang secara unik mengidentifikasi langganan Microsoft Azure. ID langganan membentuk bagian dari URI untuk setiap panggilan layanan. |
|
api-version
|
query | True |
|
Versi API klien. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Aturan otorisasi namespace berhasil dikembalikan. |
|
| Other Status Codes |
Respons kesalahan ServiceBus yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
NameSpaceAuthorizationRuleListAll
Sample Request
GET https://management.azure.com/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/ArunMonocle/providers/Microsoft.ServiceBus/namespaces/sdk-Namespace-6914/AuthorizationRules?api-version=2021-11-01
Sample Response
{
"value": [
{
"id": "https://sbgm.windows-int.net/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/ArunMonocle/providers/Microsoft.ServiceBus/namespaces/sdk-Namespace-6914/AuthorizationRules?api-version=2017-04-01/RootManageSharedAccessKey",
"name": "RootManageSharedAccessKey",
"type": "Microsoft.ServiceBus/Namespaces/AuthorizationRules",
"properties": {
"rights": [
"Listen",
"Manage",
"Send"
]
}
},
{
"id": "https://sbgm.windows-int.net/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/ArunMonocle/providers/Microsoft.ServiceBus/namespaces/sdk-Namespace-6914/AuthorizationRules?api-version=2017-04-01/sdk-AuthRules-1788",
"name": "sdk-AuthRules-1788",
"type": "Microsoft.ServiceBus/Namespaces/AuthorizationRules",
"properties": {
"rights": [
"Listen",
"Send"
]
}
}
]
}
Definisi
|
created |
Jenis identitas yang membuat sumber daya. |
| Error |
Objek kesalahan. |
|
Error |
Info tambahan kesalahan manajemen sumber daya. |
|
Error |
Respons kesalahan manajemen sumber daya. |
|
SBAuthorization |
Deskripsi aturan otorisasi namespace. |
|
SBAuthorization |
Respons terhadap operasi Namespace Daftar. |
|
system |
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya. |
createdByType
Jenis identitas yang membuat sumber daya.
| Name | Type | Description |
|---|---|---|
| Application |
|
|
| Key |
|
|
| ManagedIdentity |
|
|
| User |
|
Error
Objek kesalahan.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Info tambahan kesalahan. |
|
| code |
|
Kode kesalahan. |
| details |
Detail kesalahan. |
|
| message |
|
Pesan kesalahan. |
| target |
|
Target kesalahan. |
ErrorAdditionalInfo
Info tambahan kesalahan manajemen sumber daya.
| Name | Type | Description |
|---|---|---|
| info |
|
Info tambahan. |
| type |
|
Jenis info tambahan. |
ErrorResponse
Respons kesalahan manajemen sumber daya.
| Name | Type | Description |
|---|---|---|
| error |
Objek kesalahan. |
SBAuthorizationRule
Deskripsi aturan otorisasi namespace.
| Name | Type | Description |
|---|---|---|
| id |
|
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
|
Lokasi geografis tempat sumber daya berada |
| name |
|
Nama sumber daya. |
| properties.rights |
|
Hak yang terkait dengan aturan. |
| systemData |
Data meta sistem yang berkaitan dengan sumber daya ini. |
|
| type |
|
Jenis sumber daya. Misalnya, "Microsoft.EventHub/Namespaces" atau "Microsoft.EventHub/Namespaces/EventHubs" |
SBAuthorizationRuleListResult
Respons terhadap operasi Namespace Daftar.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
Tautkan ke kumpulan hasil berikutnya. Tidak kosong jika Nilai berisi daftar Aturan Otorisasi yang tidak lengkap. |
| value |
Hasil operasi Aturan Otorisasi Daftar. |
systemData
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.
| Name | Type | Description |
|---|---|---|
| createdAt |
|
Tanda waktu pembuatan sumber daya (UTC). |
| createdBy |
|
Identitas yang membuat sumber daya. |
| createdByType |
Jenis identitas yang membuat sumber daya. |
|
| lastModifiedAt |
|
Jenis identitas yang terakhir mengubah sumber daya. |
| lastModifiedBy |
|
Identitas yang terakhir memodifikasi sumber daya. |
| lastModifiedByType |
Jenis identitas yang terakhir mengubah sumber daya. |